// Copyright 2016 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef V8_COUNTERS_INL_H_
#define V8_COUNTERS_INL_H_

#include "src/counters.h"

namespace v8 {
namespace internal {

RuntimeCallTimerScope::RuntimeCallTimerScope(
    HeapObject* heap_object, RuntimeCallStats::CounterId counter_id) {
  if (V8_UNLIKELY(FLAG_runtime_call_stats)) {
    isolate_ = heap_object->GetIsolate();
    RuntimeCallStats::Enter(isolate_->counters()->runtime_call_stats(), &timer_,
                            counter_id);
  }
  // TODO(lpy): Add a tracing equivalent for the runtime call stats.
}

}  // namespace internal
}  // namespace v8

#endif  // V8_COUNTERS_INL_H_
